//
//  Template.h
//  Template
//
//  Created by ed on Sun Nov 11 2001.
//   2002 Septicus Software
//  $Author: ed $
//  $Id: Template.h,v 1.4 2002/03/26 05:43:43 ed Exp $
//  $Date: 2002/03/26 05:43:43 $
//  $Name:  $
//  $Revision: 1.4 $
//  $Log: Template.h,v $
//  Revision 1.4  2002/03/26 05:43:43  ed
//  clean up of code prior to release...
//
//  Revision 1.3  2002/03/02 18:45:57  ed
//  changed method names from get* to just the name of the class member being accessed (it is more standard to have accessor methods have the same name as the members they access)...
//
//  Revision 1.2  2002/02/08 18:20:38  ed
//  added CVS header tags...
//
//  Description: Template parsing object...
//

#import <Foundation/Foundation.h>

@interface Template : NSObject {
    NSString *templateFile;
    NSString *templateContents;
    NSDictionary *templateDictionary;
}

// initializes object with template file...
- (id)initWithContentsOfFile: (NSString *)filePath;
// this does the real work...
- (NSString *)parseTemplate:(NSDictionary *)dict options:(unsigned)mask;
- (NSString *)parseTemplate:(NSDictionary *)dict;
// returns the path to the template file...
- (NSString *)templateFile;
// set the template file path (also inits content buffer...
- (NSString *)setTemplateFile:(NSString *)filePath;
// get and set methods to change the template keys/values used in parsing...
- (NSDictionary *)templateDictionary;
- (NSDictionary *)setTemplateDictionary:(NSDictionary *)dict;
// returns the file contents of the template file...
- (NSString *)templateContents;

@end
